files = {'734634.46087-MotionTest.mat', ...
    '734634.51833-MotionTest.mat', ...
    '734635.38721-MotionTest.mat'};
nf = length(files);
legstr = {'In Vacuum', 'Vented', 'New Lab',  'New Axle', 'Counterweight'};
clear left;
clear right;

vGain = 2.0;   % The  voltage gain of the driver
rCoil = 4.8;   % Coil resistance

for ii = 1:nf
    load(files{ii});
    Ileft = (vGain/ rCoil * 1000) .* motionLeft.V ;
    left(ii,:) = motionLeft.timeSeries;
    Iright = (vGain/ rCoil * 1000) .* motionRight(1).V ;
    right(ii,:) = motionRight(1).timeSeries;
end

load('734635.45236-MotionTest.mat');
irLong = (vGain / rCoil * 1000) *motionRight.V;
rLong = motionRight.timeSeries;
ilLong = (vGain / rCoil * 1000) *motionLeft.V;
lLong = motionLeft.timeSeries;
load('734635.47736-MotionTest.mat');
rLong(2,:) = motionRight.timeSeries.';
lLong(2,:) = motionLeft.timeSeries.';

%%  air to vacuum shift
figure(1)
set(gca, 'FontSize', 16);
plot(abs(Iright), right(1,:), 'rd-', ...
     abs(Iright), right(2,:), 'kd-', ...
     abs(Ileft), left(1,:), 'ro-', ...
      abs(Ileft), left(2,:), 'ko-', ...
      'LineWidth', 2, 'MarkerSize', 6);
legend('Right: Vacuum', 'Right: Vented', 'Left:   Vacuum', 'Left:   Vented');
xlabel('Drive Current [mA]');
ylabel('Duration [s]');

myPrint(1, 'MotionTest_Vacuum.pdf');


%% new axle
figure(2)
set(gca, 'FontSize', 16);
plot(abs(Iright), right(3,:), 'rd-', ...
     abs(irLong), rLong(1,:), 'kd-', ...
     abs(Ileft), left(3,:), 'ro-', ...
     abs(ilLong), lLong(1,:), 'ko-', ...
     'LineWidth', 2, 'MarkerSize', 6);
legend('Right: 0.125" axle', 'Right: 0.124" axle', 'Left:   0.125" axle', 'Left:   0.124" axle');
xlabel('Drive Current [mA]');
ylabel('Duration [s]');

myPrint(2, 'MotionTest_Axle.pdf');

%% new axle
figure(3)
set(gca, 'FontSize', 16);
plot(abs(irLong), rLong(1,:), 'rd-', ...
     abs(irLong), rLong(2,:), 'kd-', ...
     abs(ilLong), lLong(1,:), 'ro-', ...
     abs(ilLong), lLong(2,:), 'ko-', ...
     'LineWidth', 2, 'MarkerSize', 6);
legend('Right: bare', 'Right: +weight', 'Left:   bare', 'Left:   +weight');
xlabel('Drive Current [mA]');
ylabel('Duration [s]');

myPrint(3, 'MotionTest_Counterweight');
